%define name webalizer
%define mVersion 2.01
%define lVersion 09
%define release 2mdk
%define summary Web server log file analysis thingie

Name:		%{name}
Version:	%{mVersion}.%{lVersion}
Release:	%{release}
Summary:	%{summary}
URL:		http://www.mrunix.net/webalizer/
Source0:	%{name}-%{mVersion}-%{lVersion}-src.tar.bz2
Source1:	%{name}.cron.bz2
License:	GPL
Group:		Monitoring
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libpng-devel libgd-devel db1-devel
Requires: db1

%description
The Webalizer is a web server log file analysis program which produces
usage statistics in HTML format for viewing with a browser.  The results
are presented in both columnar and graphical format, which facilitates
interpretation.  Yearly, monthly, daily and hourly usage statistics are
presented, along with the ability to display usage by site, URL, referrer,
user agent (browser) and country (user agent and referrer are only
available if your web server produces combined log format files).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{mVersion}-%{lVersion}
bzcat %{SOURCE1} > webalizer.cron

%build

%configure --enable-dns --with-db=%{_includedir}/db1

%make     

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/cron.weekly
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT/var/www/html/stats
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -m644 sample.conf $RPM_BUILD_ROOT%{_sysconfdir}/webalizer.conf
install -m755 webalizer.cron $RPM_BUILD_ROOT%{_sysconfdir}/cron.weekly
install -m755 webalizer $RPM_BUILD_ROOT%{_bindir}
strip $RPM_BUILD_ROOT%{_bindir}/webalizer
install -m644 webalizer.1 $RPM_BUILD_ROOT%{_mandir}/man1/webalizer.1
install -m644 webalizer.png $RPM_BUILD_ROOT/var/www/html/stats
install -m644 msfree.png $RPM_BUILD_ROOT/var/www/html/stats

ln -sf %_bindir/webalizer $RPM_BUILD_ROOT/%_bindir/webasolve

%files
%defattr(-,root,root)
%doc CHANGES COPYING Copyright DNS.README INSTALL README* country-codes.txt 
%config(noreplace) %{_sysconfdir}/webalizer.conf
%config(noreplace) %{_sysconfdir}/cron.weekly/*
%{_bindir}/*
%{_mandir}/man1/*
/var/www/html/stats/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.01.09-2mdk
- make webasolver symlink to webalizer ( thx Tzafrir Cohen )

* Sun Nov 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.01.09-1mdk
- 2.01.09

* Fri Oct 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.01.06-6mdk
- rebuild against new libpng

* Thu Oct 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.01.06-5mdk
- fix requires db1 (Oden Eriksson)

* Tue Jul 10 2001  Lenny Cartier <lenny@mandrakesoft.com> 2.01.06-4mdk
- fixes from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- really added DNS lookup support
	- s/Copyright/License
	- BuildRequires libpng-devel libgd-devel db1-devel
	- used %config(noreplace) for cron script for pleasing rpmlint

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.01.06-3mdk
- used - another great - srpm from Guillaume Rousse <g.rousse@mandrake-linux.com> :
	- used noreplace for config file
	- added missing doc files
	- updated html dir to /var/www
	- used script in /etc/crontab.weekly instead of modifying /etc/crontab
	- added DNS lookup support

* Thu Dec 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.01.06-2mdk
- remove unused files in docdir

* Thu Dec 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.01.06-1mdk
- updated to  2.01.06

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.00.11-2mdk 
- bm
- macros

* Sun Apr 09 2000 Daouda Lo <daouda@mandrakesoft.com> 2.00.11-1mdk
- build release 2.00.11

* Thu Apr 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.00.08-2mdk
- packager tag

* Mon Apr 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.00.08-1mdk
- fix group
- bz2 archive 
- used srpm provided by Oden Eriksson <oden@kvikkjokk.com>

* Sat Mar 24 2000 Oden Eriksson <oden@kvikkjokk.com>
  [2.00-08-1]

* Mon Mar 13 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.00-06-1]

* Mon Mar 13 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.00-04-1]
- removed icon (it was GIF :)

* Mon Feb 21 2000 Peter Hanecak <hanecak@megaloman.sk>
  [1.30.05-1]

* Mon Sep 13 1999 Peter Hanecak <hanecak@megaloman.sk>
  [1.30.04-4]
  rebuild against gd-1.6.3 (now PNG images are used)

* Sun Aug 29 1999 Peter Hanecak <hanecak@megaloman.sk>
  [1.30.04-3]
  source changed to .bz2

* Fri Aug 27 1999 Henri Gomez <gomez@slib.fr>
  [1.30.04-2]
  crontab activated each Sunday at 4:01 AM (just before apache rotate its log)

* Thu Aug 26 1999 Henri Gomez <gomez@slib.fr>
  [1.30-04]
  Big rework of RPM (at least configure support)
  Adapted spec to RPM 3 naming conventions,
  Changed URL
  Added icon
  Corrected -lz
  Adapted /etc/webalizer.conf to Redhat 
  New directory usage in /home/httpd/html/usage
  Add month cron in /etc/crontab

* Fri Jan 08 1999 Simon Liddington <sjl96v@ecs.soton.ac.uk>
  [1.20-11]
  Installs manpage
  Config file installed as config

* Mon Jul 27 1998 Arne Coucheron <arneco@online.no>
  [1.20-07]

* Sun Jul 26 1998 Arne Coucheron <arneco@online.no>
  [1.12-10]

* Sun Jun 14 1998 Arne Coucheron <arneco@online.no>
  [1.12-09]

* Sun Jun 07 1998 Arne Coucheron <arneco@online.no>
  [1.12-08]

* Fri Jun 05 1998 Arne Coucheron <arneco@online.no>
  [1.00-05]

* Wed May 27 1998 Arne Coucheron <arneco@online.no>
  [1.00-04]
- using predefined %%{name} and %%{version} macros
- using %defattr macro in file list, this requires rpm 2.5 to build
- installing msfree.gif to /home/httpd/html/usage
- added -q parameter to %setup
- added CHANGES and TODO to %doc

* Fri May 08 1998 Arne Coucheron <arneco@online.no>
  [0.99.06-1]

* Sat Jan 31 1998 Arne Coucheron <arneco@online.no>
- First release
